Inbound-Webhook deaktivieren
curl --request POST \
--url https://app.famulor.de/api/user/assistants/disable-inbound-webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assistant_id": 123
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assistant_id: 123})
};
fetch('https://app.famulor.de/api/user/assistants/disable-inbound-webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/assistants/disable-inbound-webhook"
payload = { "assistant_id": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/assistants/disable-inbound-webhook",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'assistant_id' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/assistants/disable-inbound-webhook"
payload := strings.NewReader("{\n \"assistant_id\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Inbound webhook disabled successfully",
"data": []
}
{
"message": "Assistant not found or does not belong to the authenticated user"
}
{
"message": "The given data was invalid.",
"errors": {
"assistant_id": [
"The assistant id field is required."
]
}
}
Inbound-Webhook deaktivieren
Inbound-Webhook-Benachrichtigungen für einen bestimmten Assistenten deaktivieren
POST
/
api
/
user
/
assistants
/
disable-inbound-webhook
Inbound-Webhook deaktivieren
Dieser Endpunkt deaktiviert Inbound-Webhook-Benachrichtigungen für einen Assistenten und stoppt die Zustellung von Echtzeit-Updates über abgeschlossene eingehende Anrufe und Daten.
Request Body
integer
erforderlich
Die ID des Assistenten, für den der Webhook deaktiviert werden soll
Response
string
Erfolgsmeldung, die bestätigt, dass der Webhook deaktiviert wurde
array
Leeres Array (für zukünftige Verwendung reserviert)
Fehler-Responses
string
Fehlermeldung, wenn der Assistent nicht gefunden wurde oder nicht dem authentifizierten Benutzer gehört
object
Detaillierte Validierungsfehler für jedes Feld
{
"message": "Inbound webhook disabled successfully",
"data": []
}
{
"message": "Assistant not found or does not belong to the authenticated user"
}
{
"message": "The given data was invalid.",
"errors": {
"assistant_id": [
"The assistant id field is required."
]
}
}
Passende Seiten: Introduction und Authentication Guide und API Integration Examples.